## mx4j.tools.adaptor
Class PlainAdaptorServerSocketFactory

    java.lang.Object
      mx4j.tools.adaptor.PlainAdaptorServerSocketFactory

All Implemented Interfaces:
  AdaptorServerSocketFactory

public class PlainAdaptorServerSocketFactory
extends java.lang.Object
implements AdaptorServerSocketFactory

Creates plain ServerSockets.

Version:
  $Revision: 1.3 $

Constructor Summary
`PlainAdaptorServerSocketFactory()`

Method Summary
`java.net.ServerSocket` `createServerSocket(int port, int backlog, java.lang.String host)` Creates a new ServerSocket on the specified port, with the specified backlog and on the given host.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainAdaptorServerSocketFactory

    public PlainAdaptorServerSocketFactory()

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    java.lang.String host)
                                             throws java.io.IOException

  Description copied from interface: `AdaptorServerSocketFactory`
  Creates a new ServerSocket on the specified port, with the specified backlog and on the given host.
  The last parameter is useful for hosts with more than one IP address.

  Specified by:
    `createServerSocket` in interface `AdaptorServerSocketFactory`
  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.